usbpsu: XUsbPsu Struct Reference

| usbpsu Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XUsbPsu Struct Reference
Usbpsu_v1_6

USB Device Controller representation. More...

## Data Fields
SetupPacket SetupData | ALIGNMENT_CACHELINE
| Setup Packet buffer. More...
struct XUsbPsu_Trb Ep0_Trb | ALIGNMENT_CACHELINE
| TRB for control transfers. More...
XUsbPsu_Config * | ConfigPtr
| Configuration info pointer. More...
struct XUsbPsu_Ep | eps [XUSBPSU_ENDPOINTS_NUM]
| Endpoints. More...
u32 | BaseAddress
| Core register base address. More...
u8 | IsHibernated
| Hibernated state. More...
u8 | HasHibernation
| Has hibernation support. More...

## Detailed Description

USB Device Controller representation.

## Field Documentation

SetupPacket SetupData XUsbPsu::ALIGNMENT_CACHELINE

Setup Packet buffer.

struct XUsbPsu_Trb Ep0_Trb XUsbPsu::ALIGNMENT_CACHELINE

TRB for control transfers.

u32 XUsbPsu::BaseAddress

Core register base address.

XUsbPsu_Config* XUsbPsu::ConfigPtr

Configuration info pointer.

Referenced by XUsbPsu_CfgInitialize(), XUsbPsu_CoreInit(), XUsbPsu_Ep0DataDone(), XUsbPsu_Ep0Recv(), XUsbPsu_Ep0Send(), XUsbPsu_Ep0StartStatus(), XUsbPsu_Ep0StatusDone(), XUsbPsu_Ep0XferComplete(), XUsbPsu_EpBufferRecv(), XUsbPsu_EpBufferSend(), XUsbPsu_EpEnable(), XUsbPsu_EpXferComplete(), XUsbPsu_EventBufferHandler(), and XUsbPsu_RecvSetup().

struct XUsbPsu_Ep XUsbPsu::eps[XUSBPSU_ENDPOINTS_NUM]

Endpoints.

Referenced by XUsbPsu_ClearStalls(), XUsbPsu_Ep0DataDone(), XUsbPsu_Ep0Recv(), XUsbPsu_Ep0Send(), XUsbPsu_Ep0StallRestart(), XUsbPsu_Ep0StartStatus(), XUsbPsu_Ep0XferComplete(), XUsbPsu_Ep0XferNotReady(), XUsbPsu_EpBufferRecv(), XUsbPsu_EpBufferSend(), XUsbPsu_EpClearStall(), XUsbPsu_EpDisable(), XUsbPsu_EpEnable(), XUsbPsu_EpInterrupt(), XUsbPsu_EpSetStall(), XUsbPsu_EpXferComplete(), XUsbPsu_EpXferNotReady(), XUsbPsu_Idle(), XUsbPsu_InitializeEps(), XUsbPsu_IsEpStalled(), XUsbPsu_RecvSetup(), XUsbPsu_ResetIntr(), XUsbPsu_SetEpConfig(), XUsbPsu_SetEpHandler(), and XUsbPsu_StopTransfer().

u8 XUsbPsu::HasHibernation

Has hibernation support.

Referenced by XUsbPsu_ConnDoneIntr(), XUsbPsu_CoreInit(), XUsbPsu_DevInterrupt(), and XUsbPsu_DisconnectIntr().

u8 XUsbPsu::IsHibernated

Hibernated state.

Referenced by XUsbPsu_EpEnable(), and XUsbPsu_EventBufferHandler().